package com.zjrs.appcomm.validation;

import jakarta.validation.Constraint;
import java.lang.annotation.*;

/**
 * @author Pettyfer
 */
@Constraint(validatedBy = IdCardValidator.class)
@Documented
@Target({ElementType.PARAMETER,ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface IdCard {

    String message() default "身份证格式有误";
    Class[] groups() default {};
    Class[] payload() default {};

}
